﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfApplication1.Model;

namespace WpfApplication1.ViewModel
{
  public class MainViewModel
  {
    private readonly ObservableCollection<Person> _persons = new ObservableCollection<Person>();
    
    public ObservableCollection<Person> Persons
    {
      get { return _persons; }
    }

    private Person _selectedPerson;
    public Person SelectedPerson
    {
      get { return _selectedPerson; }
      set
      {
        if (!Equals(value, _selectedPerson))
        {
          _selectedPerson = value;
        }
      }
    }

    public MainViewModel()
    {
      _persons.Add(new Person()
      {
        Name = "Jaroslav Nečas"
      });

      _persons.Add(new Person()
      {
        Name = "Batman"
      });

      _persons.Add(new Person()
      {
        Name = "Spiderman"
      });
    }
  }
}
